﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="SampleButton._Default" %>

<%@ Register Assembly="Syncfusion.EJ.Web, Version=13.2400.0.34, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89" Namespace="Syncfusion.JavaScript.Web" TagPrefix="ej" %>

<asp:Content runat="server" ID="BodyContent" ContentPlaceHolderID="MainContent">
  

     <div>
        <ej:RTE ID="rteSample" runat="server" ToolsList="customTool,font,style,alignment,lists,doAction,links,images,tables,scripts,casing,paragraph" ClientSideOnPreRender="OnCreate">
            <RTEContent>
                &lt;p&gt;&lt;b&gt;Description:&lt;/b&gt;&lt;/p&gt;    
    &lt;p&gt;The Rich Text Editor (RTE) control is an easy to render in
    client side. Customer easy to edit the contents and get the HTML content for
    the displayed content. A rich text editor control provides users with a toolbar
    that helps them to apply rich text formats to the text entered in the text
    area. &lt;/p&gt;
    &lt;p&gt;&lt;b&gt;Functional
    Specifications/Requirements:&lt;/b&gt;&lt;/p&gt;
    &lt;ol&gt;&lt;li&gt;&lt;p&gt;Provide
    the tool bar support, it’s also customizable.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Options
    to get the HTML elements with styles.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Support
    to insert image from a defined path.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Footer
    elements and styles(tag / Element information , Action button (Upload, Cancel))&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Re-size
    the editor support. &lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Provide
    efficient public methods and client side events.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Keyboard
    navigation support.&lt;/p&gt;&lt;/li&gt;&lt;/ol&gt;
            </RTEContent>
            <Tools>
                <CustomTool>
                    <ej:CustomTool Name="Button" />
                    <ej:CustomTool Name="DDL" />
                    <ej:CustomTool Action="showDialog" Css="codeInsert" Name="codeInsert" Tooltip="Insert code snippets" />
                </CustomTool>
            </Tools>
        </ej:RTE>
         <button id="rteButton">RTEButton</button>
         <input type="text" id="selectCar" />
         <div id="carsList">
             <ul>
                <li>Audi A4</li>
                <li>Audi A5</li>
                <li>Audi A6</li>
                <li>Audi A7</li>
                <li>Audi A8</li>
            </ul>
        </div>
        <div id="TargetList">
            <ul>
                <li>Java Script</li>
                <li>HTML</li>
                <li>CSS</li>
            </ul>
        </div>
        <ej:Dialog ID="customSourceCode" Title="Paste you code and inset to RTE" ShowOnInit="false" EnableModal="true" Width="596" EnableResize="false" runat="server">
            <DialogContent>
                <table>
                    <tr>
                        <td style="width: 100px">Select type :
                        </td>
                        <td>
                            <div>
                                <ej:DropDownList ID="languageList" TargetID="TargetList" SelectedItemIndex="0" runat="server" />
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <textarea id="srcCode" style="width: 550px; height: 250px">
                                            <div id="srcArea"></div>
                                </textarea>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <div class="e-rte-button e-fieldseparate">
                                <ej:Button ID="insert" Type="Button" Text="Insert" runat="server" ClientSideOnClick="customBtnClick"></ej:Button>
                                <ej:Button ID="cancel" Type="Button" Text="Cancel" runat="server" ClientSideOnClick="customBtnClick"></ej:Button>
                            </div>
                        </td>
                    </tr>
                </table>
            </DialogContent>
        </ej:Dialog>
    </div>
    <script type="text/javascript">
        var rteObj;
        window.onload = function () {
            //Add text for custom tool bar element.
            $("div.codeInsert").html("Insert code");
            //load the CodeMirror css in the iframe
            $("#<%=rteSample.ClientID%>_Iframe").contents().find("head").append($("<link href='Scripts/CodeMirror/codemirror.min.css' rel='stylesheet'></link>"))
            rteObj = $("#<%=rteSample.ClientID%>").data("ejRTE");
            $("#<%=customSourceCode.ClientID%>").ejDialog({ enableResize: false, EnableModal: true, shoeOnInit: false, width: "auto" });
            $("#<%=languageList.ClientID%>").ejDropDownList({ selectItemByIndex: 0 });
            $("#<%=customSourceCode.ClientID%>").find(".e-rte-btn").ejButton({ click: "customBtnClick" });
        };
        function OnCreate()
        {
            var btn, btntarget, dll, ddltarget;
            //Add button control
            btn = $("#Button");
            $("#Button").find("div").remove();
            btntarget = $("#rteButton");
            btn.append(btntarget);

            //Add DDL control
            ddl = $("#DDL");
            $("#DDL").find("div").remove();
            ddltarget = $('#selectCar')
            ddl.append(ddltarget);

            //Initialize button control
            $("#rteButton").ejButton({ type: ej.ButtonType.Button });
            //Initialize dropdownlist control
            $('#selectCar').ejDropDownList({
                targetID: "carsList",
                width: "200px"
            });
        }
        function showDialog() {
            var dialogobj = $('#<%=customSourceCode.ClientID%>').data('ejDialog');
            $('#srcCode').val('').show();
            dialogobj.open();
            $('#srcCode').focus();
        }
        function customBtnClick(args) {
            if (this._id == "<%=insert.ClientID%>") {
                var scrLang, lang = $("#<%=languageList.ClientID%>").val();
                if (lang == "Java Script")
                    scrLang = "javascript";
                else if (lang == "HTML")
                    scrLang = "text/html";
                else
                    scrLang = "css";
                var htmlEditor = CodeMirror.fromTextArea($("#srcCode")[0], {
                    lineNumbers: false,
                    mode: scrLang
                });
                var codeTags = $("#<%=customSourceCode.ClientID%>").find(".CodeMirror");
                rteObj.executeCommand("inserthtml", codeTags[0].outerHTML);
                codeTags.remove();
            }
            $("#<%=customSourceCode.ClientID%>").ejDialog("close");
        }
    </script>
    <link href="Scripts/CodeMirror/codemirror.min.css" rel="stylesheet" />
    <style type="text/css">
        .codeInsert {
            height: 22px;
            width: 100px;
            display: block;
            text-align: center;
            font-weight: bold;
        }
        .e-toolbar>.e-horizontal.e-ul{
            
    margin-bottom: 0px;
    margin-top: 0px;
     height:34px;
        }
       
    </style>
</asp:Content>
